{
    "format_version": "1.16.100",
    "minecraft:item": {
        "description": {
            "category": "equipment",
            "identifier": "vatonage:water_breathing_ring"
        },
        "components": {
            "minecraft:max_stack_size": 64,
            "minecraft:icon": {
                "texture": "water_breathing_ring"
            },
            "minecraft:display_name": {
                "value": "Water Breathing"
            },
         "minecraft:on_use":{
            "on_use":{
               "event":"used"
            }
         }
      },
      "events":{
         "used":{
            "swing":{
            },
            "run_command":{
               "command":[
                  "function water_breathing_ring"
               ]
            }
         }
      }
   }
}